Bio::SeqIO::interpro(3)

NAME
interpro - DESCRIPTION of Object

SYNOPSIS
  # do not call this module directly. Use Bio::SeqIO

DESCRIPTION
Bio::SeqIO::interpro will parse interpro scan XML (version 1.2) and create Bio::SeqFeature::Generic objects based on the contents of the XML document.

Bio::SeqIO::Interpro will also attach the annotation given in the XML file to the Bio::SeqFeature::Generic objects that it creates.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Jared Fox
Email jaredfox@ucla.edu

CONTRIBUTORS
Allen Day allenday@ucla.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new interpro();
 Function: Builds a new interpro object
 Returns : an instance of interpro
 Args    :

METHODS

  next_seq
 Title   : next_seq
 Usage   : my $bioSeqObj = $stream->next_seq
 Function: Retrieves the next sequence from a SeqIO::interpro stream.
 Returns : A reference to a Bio::Seq::RichSeq object
 Args    :